**STRUCT**

# `Button`

A button widget.

## Properties
### `label`

The button's label.

### `icon`

The button's icon.

### `handler`

The button's action handler.

## Methods
### `init(_:icon:handler:)`

Initialize a button.
- Parameters:
  - label: The button's label.
  - icon: The button's icon.
  - handler: The button's action handler.

### `init(_:handler:)`

Initialize a button.
- Parameters:
  - label: The buttons label.
  - handler: The button's action handler.

### `update(_:)`

Update a button's view storage.
- Parameter storage: The view storage.

### `container()`

Get a button's view storage.
- Returns: The button's view storage.
